fix only cache variable long/short
[oweals/gnunet.git] / src / gns / test_gns_revocation.sh
index 5c2840798e9a61329fd81604380c17da709eb4e6..fdd3c76de36a71a499da092b19090f7f0a7b598b 100755 (executable)
@@ -1,7 +1,20 @@
 #!/bin/bash
 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
-rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version 1> /dev/null
+if test $? != 0
+then
+       echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
+       exit 77
+fi
+
+rm -rf /tmp/test-gnunet-gns-peer-1/
 
 TEST_IP="127.0.0.1"
 gnunet-arm -s -c test_gns_lookup.conf
@@ -16,6 +29,7 @@ RES_IP_REV=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c test_gn
 gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
 gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
 gnunet-arm -e -c test_gns_lookup.conf
+rm -rf /tmp/test-gnunet-gns-peer-1/
 
 if [ "$RES_IP" != "$TEST_IP" ]
 then
@@ -23,10 +37,10 @@ then
   exit 1
 fi
 
-if [ "$RES_IP_REV" == " " ]
+if [ "x$RES_IP_REV" == "x" ]
 then
   exit 0
 else
-  echo "Failed to revoke zone, got $RES_IP."
+  echo "Failed to revoke zone, got $RES_IP_REV."
   exit 1
 fi